org.apache.fop.events

## Class EventExceptionManager

- java.lang.Object
- - org.apache.fop.events.EventExceptionManager

-     public final class EventExceptionManager
      extends java.lang.Object

  This class is responsible for converting events into exceptions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `EventExceptionManager.ExceptionFactory` This interface is implementation by exception factories that can create exceptions from events.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `throwException(Event event, java.lang.String exceptionClass)` Converts an event into an exception and throws that.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### throwException

          public static void throwException(Event event,
                                            java.lang.String exceptionClass)
                                     throws java.lang.Throwable

      Converts an event into an exception and throws that. If the exception class is null, a `RuntimeException` will be thrown.
      Parameters:
        `event` - the event to be converted
        `exceptionClass` - the exception class to be thrown
      Throws:
        `java.lang.Throwable` - this happens always

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.